View Issue Details

IDProjectCategoryView StatusLast Update
0000325bareos-core[All Projects] directorpublic2014-11-23 15:21
ReporterstevecAssigned To 
PrioritynormalSeveritymajorReproducibilityrandom
Status closedResolutionunable to reproduce 
PlatformLinuxOSUbuntuOS Version12.04
Product Version13.2.3 
Fixed in Version 
Summary0000325: Inc/Diff Backups error sending accurate data
DescriptionI'm testing Bareos on a single machine, so FD, SD, and DIR are all on the same host. I am able to do a full backup of all files. When running incremental/differential backups I get the following error on DIFFERENT jobs (seems random as to the job on a day-day basis) but same issue. Jobs run some days and not others. bareos was compiled with:

./configure --prefix=/opt/bareos --enable-scsi-crypto --enable-batch-insert --with-sqlite3 --with-openssl --with-working-dir=/opt/bareos/var/working --enable-smartalloc --enable-readline --with-logdir=/opt/bareos/var/logs


I'm thinking due to the random nature as to what job gets hit each time it may be a race condition or a timeout trying to open/lock the database? Database is stored on an SSD (ext3) filesystem. I did not see similar errors under bacula historically.

Is there any type of debugging that I can enable to provide more information?

-------------------
23-Jul 23:00 loki-dir JobId 31: Start Backup JobId 31, Job=JOB-loki_opt.2014-07-23_23.00.00_27
23-Jul 23:00 loki-dir JobId 31: Using Device "LTO6" to write.
23-Jul 23:00 loki-dir JobId 31: Sending Accurate information.
23-Jul 23:00 loki-dir JobId 31: Fatal error: Query failed: SELECT VersionId FROM Version: ERR=database schema has changed
23-Jul 23:00 loki-dir JobId 31: Fatal error: sql_pooling.c:79 Could not open database "bareos": ERR=����������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������������
�����������������������������������������������������������������������������������������������������������������������������P
23-Jul 23:00 loki-dir JobId 31: Fatal error: sql.c:789 Could not init database batch connection
23-Jul 23:00 loki-dir JobId 31: Fatal error: backup.c:285 Can't get batch sql connection23-Jul 23:03 loki-dir JobId 31: Fatal error: Network error with FD during Backup: ERR=Interrupted system call
23-Jul 23:03 loki-dir JobId 31: Error: Director's comm line to SD dropped.
23-Jul 23:03 loki-dir JobId 31: Fatal error: No Job status returned from FD.
23-Jul 23:03 loki-dir JobId 31: Error: Bareos loki-dir 13.2.3 (11Mar14):
  Build OS: x86_64-unknown-linux-gnu ubuntu Ubuntu 12.04.4 LTS
  JobId: 31
  Job: JOB-loki_opt.2014-07-23_23.00.00_27
  Backup Level: Incremental, since=2014-07-22 23:00:12
  Client: "loki-fd" 13.2.3 (11Mar14) x86_64-unknown-linux-gnu,ubuntu,Ubuntu 12.04.4 LTS
  FileSet: "FS-loki_opt" 2014-05-19 19:05:00
  Pool: "BackupSetIA" (From Job resource)
  Catalog: "MyCatalog" (From Client resource)
  Storage: "LTO6" (From Pool resource)
  Scheduled time: 23-Jul-2014 23:00:00
  Start time: 23-Jul-2014 23:00:12
  End time: 23-Jul-2014 23:03:13
  Elapsed time: 3 mins 1 sec
  Priority: 50
  FD Files Written: 0
  SD Files Written: 0
  FD Bytes Written: 0 (0 B)
  SD Bytes Written: 0 (0 B)
  Rate: 0.0 KB/s
  Software Compression: None
  VSS: no
  Encryption: no
  Accurate: yes
  Volume name(s):
  Volume Session Id: 22
  Volume Session Time: 1405981817
  Last Volume Bytes: 0 (0 B)
  Non-fatal FD errors: 2
  SD Errors: 0
  FD termination status: Error
  SD termination status: Error
  Termination: *** Backup Error ***
-------------------

Steps To Reproducerun incremental/differential backups.
TagsNo tags attached.
bareos-master: impact
bareos-master: action
bareos-19.2: impact
bareos-19.2: action
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impact
bareos-16.2: action
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impact
bareos-14.2: action
bareos-13.2: impact
bareos-13.2: action
bareos-12.4: impact
bareos-12.4: action

Activities

mvwieringen

mvwieringen

2014-08-18 18:58

developer   ~0000963

Keep in mind that sqlite3 is only for some very limited testing. Use a proper
PostgreSQL or MySQL database if you want to do something a bit more with it.

I must say that we don't see this problem is regression which also runs a
accurate backup test on SQLite3 so it might be some problem with this exact
version of SQLite3.

Its also not something we are probably going to invest a lot of time in. The
error also is kind of strange and something SQLite3 seems to raise for quite
some strange error.

As to not seeing it on Bacula think they never used a batch (e.g. extra)
database connection for retrieving accurate data but that blocks the other
database users for a long time.

Issue History

Date Modified Username Field Change
2014-07-24 15:20 stevec New Issue
2014-08-18 18:58 mvwieringen Note Added: 0000963
2014-08-18 18:58 mvwieringen Status new => feedback
2014-08-18 18:58 mvwieringen Steps to Reproduce Updated View Revisions
2014-11-23 15:21 mvwieringen Status feedback => closed
2014-11-23 15:21 mvwieringen Resolution open => unable to reproduce